Apply by doing:
	cd /usr/src
	patch -p0 < 012_imacdv.patch
And then rebuild your kernel.

Index: sys/arch/powerpc/pci/vgafb_pci.c
===================================================================
RCS file: /cvs/src/sys/arch/powerpc/pci/vgafb_pci.c,v
retrieving revision 1.1
diff -u -r1.1 vgafb_pci.c
--- sys/arch/powerpc/pci/vgafb_pci.c	2000/09/06 02:12:15	1.1
+++ sys/arch/powerpc/pci/vgafb_pci.c	2000/12/15 01:22:32
@@ -1,4 +1,4 @@
-/*	$OpenBSD: vgafb_pci.c,v 1.1 2000/09/06 02:12:15 rahnds Exp $	*/
+/*	$OpenBSD: vgafb_pci.c,v 1.2 2000/11/21 02:03:44 deraadt Exp $	*/
 /*	$NetBSD: vga_pci.c,v 1.4 1996/12/05 01:39:38 cgd Exp $	*/
 
 /*
@@ -231,6 +231,9 @@
 		potential = 1;
 	if (PCI_CLASS(pa->pa_class) == PCI_CLASS_DISPLAY &&
 	     PCI_SUBCLASS(pa->pa_class) == PCI_SUBCLASS_DISPLAY_VGA)
+		potential = 1;
+	if (PCI_CLASS(pa->pa_class) == PCI_CLASS_DISPLAY &&
+	     PCI_SUBCLASS(pa->pa_class) == PCI_SUBCLASS_DISPLAY_MISC)
 		potential = 1;
 
 	if (!potential)
Index: sys/arch/powerpc/pci/vgafb_pcivar.h
===================================================================
RCS file: /cvs/src/sys/arch/powerpc/pci/vgafb_pcivar.h,v
retrieving revision 1.1
diff -u -r1.1 vgafb_pcivar.h
--- sys/arch/powerpc/pci/vgafb_pcivar.h	2000/09/06 02:12:15	1.1
+++ sys/arch/powerpc/pci/vgafb_pcivar.h	2000/12/15 01:22:32
@@ -1,4 +1,4 @@
-/*	$OpenBSD: vgafb_pcivar.h,v 1.1 2000/09/06 02:12:15 rahnds Exp $	*/
+/*	$OpenBSD: vgafb_pcivar.h,v 1.2 2000/11/21 02:03:45 deraadt Exp $	*/
 /*	$NetBSD: vga_pcivar.h,v 1.1 1996/11/19 04:38:36 cgd Exp $	*/
 
 /*
@@ -31,6 +31,8 @@
 #define	DEVICE_IS_VGA_PCI(class, id)					\
 	    (((PCI_CLASS(class) == PCI_CLASS_DISPLAY &&			\
 	      PCI_SUBCLASS(class) == PCI_SUBCLASS_DISPLAY_VGA) ||	\
+	    (((PCI_CLASS(class) == PCI_CLASS_DISPLAY &&			\
+	      PCI_SUBCLASS(class) == PCI_SUBCLASS_DISPLAY_MISC) ||	\
 	     (PCI_CLASS(class) == PCI_CLASS_PREHISTORIC &&		\
 	      PCI_SUBCLASS(class) == PCI_SUBCLASS_PREHISTORIC_VGA)) ? 1 : 0)
 
